pydo.apps.get_health()

Generated on 3 Aug 2026 from pydo version v0.40.0

Usage

client.apps.get_health(app_id="4f6c71e2-1e90-4762-9fee-6cc4a0a9f2cf")
Returns JSONRaises HttpResponseError

Description

Retrieve information like health status, cpu and memory utilization of app components.

Parameters

app_id string required

The app ID

Response Example

Show Response Example
{
  "components": [
    {
      "name": "sample-expressjs",
      "cpu_usage_percent": 5.555,
      "memory_usage_percent": 20.32,
      "replicas_desired": 1,
      "replicas_ready": 2,
      "state": "HEALTHY"
    }
  ]
}

More Information

See /v2/apps/{app_id}/health in the API reference for additional detail on responses, headers, parameters, and more.

We can't find any results for your search.

Try using different keywords or simplifying your search terms.